### Function

# GtkFontFilterFunc

#### Declaration

    gboolean
    (* GtkFontFilterFunc) (
      const PangoFontFamily* family,
      const PangoFontFace* face,
      gpointer data
    )

#### Description [src]

The type of function that is used for deciding what fonts get shown in a `GtkFontChooser`.

See `gtk_font_chooser_set_filter_func()`.

#### Parameters

`family`

  Type: `PangoFontFamily`

  A `PangoFontFamily`

  The data is owned by the caller of the function.

`face`

  Type: `PangoFontFace`

  A `PangoFontFace` belonging to `family`.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  User data passed to `gtk_font_chooser_set_filter_func()`

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the font should be displayed.